#include "stdafx.h"
#include "assets.h"

namespace brixx
{

#define ASSET_BRICK L"brick.png"
#define ASSET_PADDLE L"paddle.png"
#define ASSET_BALL L"ball.png"
#define ASSET_DEBRIS L"debris.png"

const bool Assets::init()
{
	if(!myBrick.init(ASSET_BRICK))
		return false;

	if(!myPaddle.init(ASSET_PADDLE))
		return false;

	if(!myBall.init(ASSET_BALL))
		return false;

	if(!myDebris.init(ASSET_DEBRIS))
		return false;

	return true;
}

}