#pragma once

#include "idraw.h"
#include "vector.h"

namespace brixx
{

class Assets;
class Model;
class IEventTarget;

class IController : public IDraw
{
public:

	//members
	static const Vector2i ORIGIN;

protected:

	IController(const Assets& someAssets, const Model& aModel, IEventTarget& aTarget);
	void drawBrixx(Canvas& aCanvas);

	//members
	const Assets& myAssets;
	const Model& myModel;
	IEventTarget& myTarget;
};

}