#pragma once

#include "playcontroller.h"
#include "editcontroller.h"

namespace brixx
{

class MetaController : public IDraw
{
public:

	//IDraw
	const bool draw(Canvas& aCanvas);

	//specific
	MetaController(const Assets& someAssets, const Model& aModel, IEventTarget& aTarget);
	const bool playing() const;

	//members
	PlayController myPlay;

private:

	//members
	EditController myEdit;
	IDraw* myController;
	IEventTarget& myTarget;
};

}