#pragma once

#include "icontroller.h"
#include "ieventtarget.h"

namespace brixx
{

class PlayController : public IController, public IEventTarget
{
public:

	//IDraw
	const bool draw(Canvas& aCanvas);

	//IEventTarget
	void setInput(const int aX)	{}
	void edge();
	void miss();
	void paddle();
	void brick();
	void breakBrick(const Brick* aBrick);
	void reset();
	void design(const int aX, const int aY, const bool aValue)	{}

	//specific
	PlayController(const Assets& someAssets, const Model& aModel, IEventTarget& aTarget);
	~PlayController();
};

}