#include "stdafx.h"
#include "brick.h"

namespace brixx
{

#define OFF_TIME 10.f

Brick::Brick()
:myDesign(false)
,myOn(false)
{
}

const bool Brick::isOn() const
{
	return myOn;
}

void Brick::set(const bool aValue)
{
	myOn = aValue;
}

void Brick::design(const bool aValue)
{
	myDesign = myOn = aValue;
}

void Brick::reset()
{
	myOn = myDesign;
}

}