#pragma once

#include "traversable.h"
#include "vector.h"

namespace brixx
{

class Image;
class Canvas;

class Debris : public Traversable<Debris>
{
public:

	static void drawAll(const float aGravity, const Image& anImage, const Vector2i& anOrigin, Canvas& aCanvas);
	Debris(const int aX, const int aY);

private:

	const bool draw(const float aGravity, const Image& anImage, const Vector2i& anOrigin, Canvas& aCanvas);

	//members
	Vector2f myPosition, mySpeed;
};

}