#include "stdafx.h"
#include "editcontroller.h"

#include "canvas.h"
#include "model.h"

namespace brixx
{

//IDraw
const bool EditController::draw(Canvas& aCanvas)
{
	if(!aCanvas.cursorInsideGui())
	{
		Vector2i bs(aCanvas.cursorPos());

		bs -= ORIGIN;
		bs.x /= Model::BRICK_WIDTH;
		bs.y /= Model::BRICK_HEIGHT;

		if(aCanvas.isDown(VK_LBUTTON))
			myTarget.design(bs.x, bs.y, true);
		if(aCanvas.isDown(VK_RBUTTON))
			myTarget.design(bs.x, bs.y, false);
	}

	drawBrixx(aCanvas);

	return true;
}

//specific
EditController::EditController(const Assets& someAssets, const Model& aModel, IEventTarget& aTarget)
:IController(someAssets, aModel, aTarget)
{
}

}