#pragma once

namespace brixx
{

class Brick;

class IEventTarget
{
public:

	virtual void setInput(const int aX) = 0;
	virtual void edge() = 0;
	virtual void miss() = 0;
	virtual void paddle() = 0;
	virtual void brick() = 0;
	virtual void breakBrick(const Brick* aBrick) = 0;
	virtual void reset() = 0;
	virtual void design(const int aX, const int aY, const bool aValue) = 0;
};

}