#pragma once

namespace brixx
{

namespace time
{
	void update();
	void externalUpdate(const float aCurrentTime, const float anElapsedTime);
	const unsigned int frame(const float anFps, const unsigned int aNumFrames);
	const float floatFrame(const float aNow, const float anFps, const unsigned int aNumFrames);
	const unsigned int frameFromTime(const float anFps, const unsigned int aNumFrames, const float aStartTime);
	const float fps();
	const float now();
	const float future(const float aTimeFromNow);
	const float elapsed();
	const bool isFuture(const float aTime);
	const bool isPast(const float aTime);
};

}
